#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import config, os, sqlite3, sys

def makeDB(path=config.dbpath):
 if os.path.isfile(path):
  raise IOError(path + " already exists. If you want to recreate it, please delete it first, or provide a different file name.")

 conn = sqlite3.connect(path)
 cur = conn.cursor()
 
 cur.execute("CREATE TABLE tweets(`tweet_id` INTEGER NOT NULL, `in_reply_to_status_id` TEXT, `in_reply_to_user_id` TEXT, `timestamp` TEXT, `source` TEXT, `text` TEXT, `retweeted_status_id` TEXT, `retweeted_status_user_id` TEXT, `retweeted_status_timestamp` TEXT, `expanded_urls` TEXT, PRIMARY KEY(tweet_id));")
 
 conn.commit()
 conn.close()
 
if __name__ == "__main__":
 try:
  makeDB(sys.argv[1])
 except IndexError:
  makeDB()
